"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.ExportContentEntriesUseCase = void 0;
var _constants = require("../../../tasks/constants");
var _convertTaskToExportRecord = require("../../utils/convertTaskToExportRecord");
class ExportContentEntriesUseCase {
  constructor(params) {
    this.triggerTask = params.triggerTask;
  }
  async execute(params) {
    const task = await this.triggerTask({
      name: `Export Content Entries and Assets Controller for "${params.modelId}"`,
      input: {
        modelId: params.modelId,
        exportAssets: params.exportAssets,
        limit: params.limit,
        where: params.where,
        sort: params.sort
      },
      definition: _constants.EXPORT_CONTENT_ENTRIES_CONTROLLER_TASK
    });
    return (0, _convertTaskToExportRecord.convertTaskToCmsExportRecord)(task);
  }
}
exports.ExportContentEntriesUseCase = ExportContentEntriesUseCase;

//# sourceMappingURL=ExportContentEntriesUseCase.js.map