"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.GetImportFromUrlUseCase = void 0;
var _constants = require("../../../tasks/constants");
var _convertTaskToImportRecord = require("../../utils/convertTaskToImportRecord");
class GetImportFromUrlUseCase {
  constructor(params) {
    this.getTask = params.getTask;
  }
  async execute(params) {
    const task = await this.getTask(params.id);
    if (task?.definitionId !== _constants.IMPORT_FROM_URL_CONTROLLER_TASK) {
      return null;
    }
    return (0, _convertTaskToImportRecord.convertTaskToImportRecord)(task);
  }
}
exports.GetImportFromUrlUseCase = GetImportFromUrlUseCase;

//# sourceMappingURL=GetImportFromUrlUseCase.js.map