"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.attachHeadlessCmsImportExportGraphQL = void 0;
var _apiHeadlessCms = require("@webiny/api-headless-cms");
var _typeDefs = require("./typeDefs");
var _resolvers = require("./resolvers");
var _models = require("./models");
const attachHeadlessCmsImportExportGraphQL = async context => {
  const tenant = context.tenancy.getCurrentTenant();
  const locale = context.i18n.getContentLocale();
  const models = await (0, _models.listModels)(context);
  if (!locale || models.length === 0) {
    return;
  }
  const plugin = new _apiHeadlessCms.CmsGraphQLSchemaPlugin({
    typeDefs: (0, _typeDefs.createTypeDefs)(models),
    resolvers: (0, _resolvers.createResolvers)(models),
    isApplicable: context => context.tenancy.getCurrentTenant().id === tenant.id && context.i18n.getContentLocale()?.code === locale.code
  });
  plugin.name = "headlessCms.graphql.importExport";
  context.plugins.register(plugin);
};
exports.attachHeadlessCmsImportExportGraphQL = attachHeadlessCmsImportExportGraphQL;

//# sourceMappingURL=index.js.map