import type { IMultipartUploadHandler } from "../../utils/upload";
import type { IDownloadFileFromUrl, IDownloadFileFromUrlProcessOnIterationCallable, IDownloadFileFromUrlProcessResponseType } from "./abstractions/DownloadFileFromUrl";
export interface IDownloadFileFromUrlFile {
    url: string;
    size: number;
    key: string;
}
export interface IDownloadFileFromUrlParams {
    file: IDownloadFileFromUrlFile;
    fetch: typeof fetch;
    upload: IMultipartUploadHandler;
    nextRange?: number;
}
export declare class DownloadFileFromUrl implements IDownloadFileFromUrl {
    private readonly file;
    private readonly upload;
    private readonly fetch;
    private nextRange;
    private readonly ranges;
    constructor(params: IDownloadFileFromUrlParams);
    process<T extends string>(onIteration: IDownloadFileFromUrlProcessOnIterationCallable<T>): Promise<IDownloadFileFromUrlProcessResponseType<T>>;
    abort(): Promise<void>;
    getNextRange(): number;
    isDone(): boolean;
}
export declare const createDownloadFileFromUrl: (params: IDownloadFileFromUrlParams) => IDownloadFileFromUrl;
