import type { Context } from "../../../types";
import type { IExportContentAssets, IExportContentAssetsInput, IExportContentAssetsOutput } from "../abstractions/ExportContentAssets";
import type { ITaskResponseResult, ITaskRunParams } from "@webiny/tasks";
import type { ICmsEntryFetcher } from "../../utils/cmsEntryFetcher";
import type { IEntryAssets, IEntryAssetsResolver } from "../../utils/entryAssets";
import type { ICmsAssetsZipper } from "../../utils/cmsAssetsZipper";
import type { IFileFetcher } from "../../utils/fileFetcher";
export interface ICreateCmsAssetsZipperCallableConfig {
    filename: string;
    entryFetcher: ICmsEntryFetcher;
    createEntryAssets: () => IEntryAssets;
    createEntryAssetsResolver: () => IEntryAssetsResolver;
    fileFetcher: IFileFetcher;
}
export interface ICreateCmsAssetsZipperCallable {
    (config: ICreateCmsAssetsZipperCallableConfig): ICmsAssetsZipper;
}
export interface IExportContentAssetsParams {
    createCmsAssetsZipper: ICreateCmsAssetsZipperCallable;
}
export declare class ExportContentAssets<C extends Context = Context, I extends IExportContentAssetsInput = IExportContentAssetsInput, O extends IExportContentAssetsOutput = IExportContentAssetsOutput> implements IExportContentAssets<C, I, O> {
    private readonly createCmsAssetsZipper;
    constructor(params: IExportContentAssetsParams);
    run(params: ITaskRunParams<C, I, O>): Promise<ITaskResponseResult<I, O>>;
}
