import type { ITaskResponseResult, ITaskRunParams } from "@webiny/tasks";
import type { Context } from "../../../types";
import type { CmsModel } from "@webiny/api-headless-cms/types";
import type { ICmsEntryZipper, ICmsEntryZipperConfig } from "../../utils/cmsEntryZipper";
import type { IExportContentEntries, IExportContentEntriesInput, IExportContentEntriesOutput } from "../abstractions/ExportContentEntries";
import type { IContentEntryTraverser } from "@webiny/api-headless-cms";
export interface IExportContentEntriesConfig {
    createCmsEntryZipper(config: Pick<ICmsEntryZipperConfig, "fetcher">): ICmsEntryZipper;
}
export interface ICreateCmsEntryZipperConfig extends Pick<ICmsEntryZipperConfig, "fetcher"> {
    filename: string;
    model: Pick<CmsModel, "modelId">;
    traverser: IContentEntryTraverser;
}
export declare class ExportContentEntries<C extends Context = Context, I extends IExportContentEntriesInput = IExportContentEntriesInput, O extends IExportContentEntriesOutput = IExportContentEntriesOutput> implements IExportContentEntries<C, I, O> {
    private readonly createCmsEntryZipper;
    constructor(config: IExportContentEntriesConfig);
    run(params: ITaskRunParams<C, I, O>): Promise<ITaskResponseResult<I, O>>;
}
