"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.createCompressedFileReader = exports.CompressedFileReader = void 0;
var _unzipper = require("unzipper");
class CompressedFileReader {
  constructor(params) {
    this.client = params.client;
    this.bucket = params.bucket;
  }
  async read(target) {
    const result = await _unzipper.Open.s3_v3(this.client, {
      Bucket: this.bucket,
      Key: target
    });
    return result.files.filter(file => {
      return file.type === "File";
    });
  }
}
exports.CompressedFileReader = CompressedFileReader;
const createCompressedFileReader = params => {
  return new CompressedFileReader(params);
};
exports.createCompressedFileReader = createCompressedFileReader;

//# sourceMappingURL=CompressedFileReader.js.map