"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.UniqueResolver = void 0;
class UniqueResolver {
  resolved = new Set();
  resolve(input, field) {
    return input.reduce((assets, asset) => {
      const value = asset[field];
      if (this.resolved.has(value)) {
        return assets;
      }
      this.resolved.add(value);
      assets.push(asset);
      return assets;
    }, []);
  }
}
exports.UniqueResolver = UniqueResolver;

//# sourceMappingURL=UniqueResolver.js.map