import type { S3Client } from "@webiny/aws-sdk/client-s3";
import { ICreateMultipartUploadHandler, IMultipartUploadHandler } from "./abstractions/MultipartUploadHandler";
import { IMultipartUploadFactory, IMultipartUploadFactoryContinueParams } from "./abstractions/MultipartUploadFactory";
export interface IMultipartUploadFactoryParams {
    client: S3Client;
    bucket: string;
    filename: string;
    createHandler: ICreateMultipartUploadHandler;
}
export declare class MultipartUploadFactory implements IMultipartUploadFactory {
    private readonly client;
    private readonly bucket;
    private readonly filename;
    private readonly createHandler;
    constructor(params: IMultipartUploadFactoryParams);
    start(params?: IMultipartUploadFactoryContinueParams): Promise<IMultipartUploadHandler>;
    private continue;
    private listParts;
}
export interface ICreateMultipartUploadFactoryCallable {
    (params: IMultipartUploadFactoryParams): IMultipartUploadFactory;
}
export declare const createMultipartUploadFactory: ICreateMultipartUploadFactoryCallable;
