"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getContentType = void 0;
var _constants = require("../../constants");
const allowedContentTypes = {
  "application/zip": ["zip", _constants.WEBINY_EXPORT_ENTRIES_EXTENSION, _constants.WEBINY_EXPORT_ASSETS_EXTENSION],
  "application/json": ["json"],
  "text/plain": ["txt"]
};
const getContentType = filename => {
  const ext = filename.split(".").pop();
  if (!ext) {
    throw new Error(`Could not determine the file extension from the provided filename: ${filename}`);
  }
  for (const type in allowedContentTypes) {
    const extensions = allowedContentTypes[type];
    if (extensions.includes(ext)) {
      return type;
    }
  }
  throw new Error(`Could not determine the file content type from the provided extension: ${ext}.`);
};
exports.getContentType = getContentType;

//# sourceMappingURL=getContentType.js.map